package com.seatel.mobilehall.ui.yes_member.interactor

import com.android.volley.VolleyError
import com.seatel.mobilehall.ui.yes_member.model.RewardHistoryModel

interface RewardHistoryInteractor {
    interface View {
        fun responseRewardHistorySucceed(rewardHistoryList: RewardHistoryModel)
        fun responseRewardHistoryFail(error: VolleyError)
    }

    interface Presenter {
        fun getRewardHistory(phoneNumber: String)
    }

}